From: =?utf-8?q?Bernhard_=C3=9Cbelacker?= <bernhardu@mailbox.org>
Date: Sun, 30 Apr 2017 19:02:33 +0200
Subject: pointer truncation bug 860393

Bug-Debian: https://bugs.debian.org/860393
Forwarded: no
---
 include/extern.h      | 1 +
 sys/unix/Makefile.utl | 4 ++--
 win/proxy/nhext.c     | 1 +
 win/proxy/proxycb.c   | 1 +
 win/proxy/proxysvc.c  | 1 +
 win/proxy/prxychar.c  | 1 +
 win/proxy/prxyconn.c  | 1 +
 win/proxy/prxytile.c  | 1 +
 8 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/include/extern.h b/include/extern.h
index 625a9e6..6d4aebc 100644
--- a/include/extern.h
+++ b/include/extern.h
@@ -1485,6 +1485,7 @@ E const char *FDECL(mimic_obj_name, (struct monst *));
 
 /* ### options.c ### */
 
+E genericptr_t FDECL(nh_option_get_boolopt, ());
 E boolean FDECL(match_optname, (const char *,const char *,int,BOOLEAN_P));
 E void NDECL(initoptions);
 E void FDECL(parseoptions, (char *,BOOLEAN_P,BOOLEAN_P));
diff --git a/sys/unix/Makefile.utl b/sys/unix/Makefile.utl
index b253b5d..e34d711 100644
--- a/sys/unix/Makefile.utl
+++ b/sys/unix/Makefile.utl
@@ -77,9 +77,9 @@ UNAME := $(shell uname -s)
 #   compile normally
 #   disable optimization on non-Linux archs due to FTBFS
 ifeq ($(UNAME),Linux)
-CFLAGS = -DDEBIAN_$(GUI) -O2 -fomit-frame-pointer -fstack-protector --param=ssp-buffer-size=4 -I../include -I/usr/X11R6/include
+CFLAGS = -DDEBIAN_$(GUI) -g -O2 -fomit-frame-pointer -fstack-protector --param=ssp-buffer-size=4 -I../include -I/usr/X11R6/include
 else
-CFLAGS = -DDEBIAN_$(GUI) -fstack-protector --param=ssp-buffer-size=4 -I../include -I/usr/X11R6/include
+CFLAGS = -DDEBIAN_$(GUI) -g -fstack-protector --param=ssp-buffer-size=4 -I../include -I/usr/X11R6/include
 endif
 LFLAGS = -L/usr/X11R6/lib -Wl,-z,relro
 #   OR compile backwards compatible a.out format
diff --git a/win/proxy/nhext.c b/win/proxy/nhext.c
index dead5fd..9a26ddd 100644
--- a/win/proxy/nhext.c
+++ b/win/proxy/nhext.c
@@ -9,6 +9,7 @@
 #include <string.h>
 #include <stdarg.h>
 #include <ctype.h>
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 
diff --git a/win/proxy/proxycb.c b/win/proxy/proxycb.c
index ed150f0..36ffa21 100644
--- a/win/proxy/proxycb.c
+++ b/win/proxy/proxycb.c
@@ -5,6 +5,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 #include "proxycb.h"
diff --git a/win/proxy/proxysvc.c b/win/proxy/proxysvc.c
index d6cd302..2efab79 100644
--- a/win/proxy/proxysvc.c
+++ b/win/proxy/proxysvc.c
@@ -14,6 +14,7 @@
 #include <windows.h>
 #include <commctrl.h>
 #endif
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 #include "proxycb.h"
diff --git a/win/proxy/prxychar.c b/win/proxy/prxychar.c
index 954aaca..cf3cf42 100644
--- a/win/proxy/prxychar.c
+++ b/win/proxy/prxychar.c
@@ -5,6 +5,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <stdarg.h>
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 #include "prxyclnt.h"
diff --git a/win/proxy/prxyconn.c b/win/proxy/prxyconn.c
index f21d040..f59ff02 100644
--- a/win/proxy/prxyconn.c
+++ b/win/proxy/prxyconn.c
@@ -17,6 +17,7 @@
 #include <netinet/in.h>
 #include <netdb.h>
 #endif
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 #include "prxyclnt.h"
diff --git a/win/proxy/prxytile.c b/win/proxy/prxytile.c
index 2057318..9bd66fd 100644
--- a/win/proxy/prxytile.c
+++ b/win/proxy/prxytile.c
@@ -5,6 +5,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
+#include "config.h"
 #include "nhxdr.h"
 #include "proxycom.h"
 #include "prxyclnt.h"
